## Class template wseverity_logger

boost::log::sources::wseverity_logger — Wide-char logger. Functionally equivalent to `basic_severity_logger`.

## Synopsis

    // In header: <boost/log/sources/severity_logger.hpp>

    template<typename LevelT = int>
    class wseverity_logger : public basic_composite_logger< wchar_t, wseverity_logger< LevelT >, single_thread_model, features< severity< LevelT > > >
    {
    public:
      // construct/copy/destruct
      wseverity_logger();
      wseverity_logger(wseverity_logger const &);
      template<typename... ArgsT> explicit wseverity_logger(ArgsT... const &);
      explicit wseverity_logger(LevelT);
      wseverity_logger & operator=(wseverity_logger const &);
    };

## Description

See `severity` class template for a more detailed description

### `wseverity_logger` public construct/copy/destruct

1.     wseverity_logger();

   Default constructor

2.     wseverity_logger(wseverity_logger const & that);

   Copy constructor

3.     template<typename... ArgsT> explicit wseverity_logger(ArgsT... const & args);

   Constructor with named arguments

4.     explicit wseverity_logger(LevelT level);

   The constructor creates the logger with the specified default severity level

   Parameters:

   `level` | The default severity level

5.     wseverity_logger & operator=(wseverity_logger const & that);

   Assignment operator

   Swaps two loggers